summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Mykyta Solomko <solomko.mykyta@gmail.com>2010-10-24 22:01:58 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-10-25 07:55:09 -0500
commit8053b8f1cffaa1c2ba320439bc2cc85d9a72f050 (patch)
tree10230b744cbb49330d37343ae1c155001723f25f /desktop
parent6c870aa6aca8d6401ce65bcd49a7dbd6f6a5f31e (diff)
downloadslackbuilds-8053b8f1cffaa1c2ba320439bc2cc85d9a72f050.tar.gz
slackbuilds-8053b8f1cffaa1c2ba320439bc2cc85d9a72f050.tar.xz
desktop/smooth-tasks: Added (task tray for KDE4)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/smooth-tasks/README3
-rw-r--r--desktop/smooth-tasks/slack-desc19
-rw-r--r--desktop/smooth-tasks/smooth-tasks.SlackBuild73
-rw-r--r--desktop/smooth-tasks/smooth-tasks.info10
4 files changed, 105 insertions, 0 deletions
diff --git a/desktop/smooth-tasks/README b/desktop/smooth-tasks/README
new file mode 100644
index 0000000000..ddfea5e4f4
--- /dev/null
+++ b/desktop/smooth-tasks/README
@@ -0,0 +1,3 @@
+This taskbar replacement has window peeking similar to Windows 7 when you
+use the kwin 'highlite window' effect. Even if this effect is not used
+you can click the tooltip in order to activate the corresponding window.
diff --git a/desktop/smooth-tasks/slack-desc b/desktop/smooth-tasks/slack-desc
new file mode 100644
index 0000000000..ce06f0a4c5
--- /dev/null
+++ b/desktop/smooth-tasks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+smooth-tasks: smooth-tasks (task tray for KDE4)
+smooth-tasks:
+smooth-tasks: smooth-tasks is an task tray plasma applet for KDE 4.3.x+ similar to
+smooth-tasks: M$ Windows 7 task tray.
+smooth-tasks:
+smooth-tasks:
+smooth-tasks:
+smooth-tasks:
+smooth-tasks:
+smooth-tasks:
+smooth-tasks:
diff --git a/desktop/smooth-tasks/smooth-tasks.SlackBuild b/desktop/smooth-tasks/smooth-tasks.SlackBuild
new file mode 100644
index 0000000000..36b2fb81e1
--- /dev/null
+++ b/desktop/smooth-tasks/smooth-tasks.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/bash
+
+# Slackware build script for smooth-tasks KDE 4.3.x+ applet
+
+# Copyright 2010 Mykyta Solomko <solomko.mykyta@gmail.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=smooth-tasks
+VERSION=${VERSION:-wip_2010_02_27}
+SRCVERS=${SRCVERS:-wip-2010-02-27}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+cd $TMP
+rm -rf $PKG $PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/*$PRGNAM-src-$SRCVERS.tar.bz2
+mv $PRGNAM-src-$SRCVERS $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+
+cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` || exit 1
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README INSTALL COPYING ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/smooth-tasks/smooth-tasks.info b/desktop/smooth-tasks/smooth-tasks.info
new file mode 100644
index 0000000000..5d1c7795a4
--- /dev/null
+++ b/desktop/smooth-tasks/smooth-tasks.info
@@ -0,0 +1,10 @@
+PRGNAM="smooth-tasks"
+VERSION="wip_2010_02_27"
+HOMEPAGE="http://kde-look.org/content/show.php/Smooth+Tasks?content=101586"
+DOWNLOAD="http://kde-look.org/CONTENT/content-files/101586-smooth-tasks-src-wip-2010-02-27.tar.bz2"
+MD5SUM="e5d450e3e53ad139dd4026c8c2a794e8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mykyta Solomko"
+EMAIL="solomko.mykyta@gmail.com"
+APPROVED="dsomero"